Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom
Class AbstractParentNode

    java.lang.Object
      org.apache.batik.dom.AbstractNode
          org.apache.batik.dom.AbstractParentNode

All Implemented Interfaces:
  Serializable, NodeEventTarget, ExtendedNode, NodeXBL, XBLManagerData, EventTarget, Node

Direct Known Subclasses:
  AbstractAttr, AbstractDocument, AbstractDocumentFragment, AbstractEntity, AbstractParentChildNode

    public abstract class AbstractParentNode

extends AbstractNode

This class implements the Node interface with support for children.

See Also:
  Serialized Form

Nested Class Summary
`protected class` | `AbstractParentNode.ChildNodes` To manage the children of this node.
`protected class` | `AbstractParentNode.ElementsByTagName` To manage a list of nodes.
`protected class` | `AbstractParentNode.ElementsByTagNameNS` To manage a list of nodes.

Field Summary
`protected AbstractParentNode.ChildNodes` | `childNodes` The children.

Fields inherited from class org.apache.batik.dom.AbstractNode
`DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, EMPTY_NODE_LIST, eventSupport, managerData, ownerDocument, userData, userDataHandlers`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`AbstractParentNode()`

Method Summary
`Node` | `appendChild(Node newChild)` DOM: Implements `Node.appendChild(Node)`.
`protected void` | `checkAndRemove(Node n, boolean replace)` Checks the validity of a node to be inserted, and removes it from the document if needed.
`protected Node` | `deepCopyInto(Node n)` Deeply copy the fields of the current node into the given node.
`protected Node` | `deepExport(Node n, AbstractDocument d)` Deeply exports this node to the given document.
`protected void` | `fireDOMNodeInsertedEvent(Node node)` Fires a DOMNodeInserted event.
`void` | `fireDOMNodeInsertedIntoDocumentEvent()` Recursively fires a DOMNodeInsertedIntoDocument event.
`protected void` | `fireDOMNodeRemovedEvent(Node node)` Fires a DOMNodeRemoved event.
`void` | `fireDOMNodeRemovedFromDocumentEvent()` Recursively fires a DOMNodeRemovedFromDocument event.
`protected void` | `fireDOMSubtreeModifiedEvent()` Fires a DOMSubtreeModified event.
`NodeList` | `getChildNodes()` DOM: Implements `Node.getChildNodes()`.
`NodeList` | `getElementsByTagName(String name)` DOM: Implements `Element.getElementsByTagName(String)`.
`NodeList` | `getElementsByTagNameNS(String namespaceURI, String localName)` DOM: Implements `Element.getElementsByTagNameNS(String,String)`.
`Node` | `getFirstChild()` DOM: Implements `Node.getFirstChild()`.
`Node` | `getLastChild()` DOM: Implements `Node.getLastChild()`.
`String` | `getTextContent()` DOM: Implements `Node.getTextContent()`.
`boolean` | `hasChildNodes()` DOM: Implements `Node.hasChildNodes()`.
`Node` | `insertBefore(Node newChild, Node refChild)` DOM: Implements `Node.insertBefore(Node, Node)`.
`protected void` | `nodeAdded(Node n)` Called when a child node has been added.
`protected void` | `nodeToBeRemoved(Node n)` Called when a child node is going to be removed.
`void` | `normalize()` DOM: Implements `Node.normalize()`.
`Node` | `removeChild(Node oldChild)` DOM: Implements `Node.removeChild(Node)`.
`Node` | `replaceChild(Node newChild, Node oldChild)` DOM: Implements `Node.replaceChild(Node, Node)`.

Methods inherited from class org.apache.batik.dom.AbstractNode
`addEventListener, addEventListenerNS, checkChildType, cloneNode, compareDocumentPosition, compareNamedNodeMaps, compareStrings, copyInto, createDOMException, dispatchEvent, export, fireDOMCharacterDataModifiedEvent, fireUserDataHandlers, getAttributes, getBaseURI, getBaseURI, getCascadedXMLBase, getCurrentDocument, getEventSupport, getFeature, getLocalName, getManagerData, getNamespaceURI, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getParentNodeEventTarget, getPrefix, getPreviousSibling, getUserData, getXblBoundElement, getXblChildNodes, getXblDefinitions, getXblFirstChild, getXblFirstElementChild, getXblLastChild, getXblLastElementChild, getXblNextElementSibling, getXblNextSibling, getXblParentNode, getXblPreviousElementSibling, getXblPreviousSibling, getXblScopedChildNodes, getXblShadowTree, hasAttributes, hasEventListenerNS, initializeEventSupport, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespacePrefix, lookupNamespaceURI, lookupPrefix, newNode, removeEventListener, removeEventListenerNS, setManagerData, setNextSibling, setNodeName, setNodeValue, setOwnerDocument, setParentNode, setPrefix, setPreviousSibling, setSpecified, setTextContent, setUserData, willTriggerNS`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.batik.dom.ExtendedNode
`isReadonly, setReadonly`

Methods inherited from interface org.w3c.dom.Node
`getNodeName, getNodeType`

Field Detail

### childNodes

    protected AbstractParentNode.ChildNodes childNodes

  The children.

Constructor Detail

### AbstractParentNode

    public AbstractParentNode()

Method Detail

### getChildNodes

    public NodeList getChildNodes()

  DOM: Implements `Node.getChildNodes()`.

  Specified by:
    `getChildNodes` in interface `Node`
  Overrides:
    `getChildNodes` in class `AbstractNode`
  Returns:
    `childNodes`

### getFirstChild

    public Node getFirstChild()

  DOM: Implements `Node.getFirstChild()`.

  Specified by:
    `getFirstChild` in interface `Node`
  Overrides:
    `getFirstChild` in class `AbstractNode`
  Returns:
    `childNodes`.firstChild

### getLastChild

    public Node getLastChild()

  DOM: Implements `Node.getLastChild()`.

  Specified by:
    `getLastChild` in interface `Node`
  Overrides:
    `getLastChild` in class `AbstractNode`
  Returns:
    `childNodes`.lastChild

### insertBefore

    public Node insertBefore(Node newChild,
                             Node refChild)
                      throws DOMException

  DOM: Implements `Node.insertBefore(Node, Node)`.

  Specified by:
    `insertBefore` in interface `Node`
  Overrides:
    `insertBefore` in class `AbstractNode`
  Throws:
    `DOMException`

### replaceChild

    public Node replaceChild(Node newChild,
                             Node oldChild)
                      throws DOMException

  DOM: Implements `Node.replaceChild(Node, Node)`.

  Specified by:
    `replaceChild` in interface `Node`
  Overrides:
    `replaceChild` in class `AbstractNode`
  Throws:
    `DOMException`

### removeChild

    public Node removeChild(Node oldChild)
                     throws DOMException

  DOM: Implements `Node.removeChild(Node)`.

  Specified by:
    `removeChild` in interface `Node`
  Overrides:
    `removeChild` in class `AbstractNode`
  Throws:
    `DOMException`

### appendChild

    public Node appendChild(Node newChild)
                     throws DOMException

  DOM: Implements `Node.appendChild(Node)`.

  Specified by:
    `appendChild` in interface `Node`
  Overrides:
    `appendChild` in class `AbstractNode`
  Throws:
    `DOMException`

### hasChildNodes

    public boolean hasChildNodes()

  DOM: Implements `Node.hasChildNodes()`.

  Specified by:
    `hasChildNodes` in interface `Node`
  Overrides:
    `hasChildNodes` in class `AbstractNode`
  Returns:
    true if this node has children, false otherwise.

### normalize

    public void normalize()

  DOM: Implements `Node.normalize()`.

  Specified by:
    `normalize` in interface `Node`
  Overrides:
    `normalize` in class `AbstractNode`

### getElementsByTagName

    public NodeList getElementsByTagName(String name)

  DOM: Implements `Element.getElementsByTagName(String)`.

### getElementsByTagNameNS

    public NodeList getElementsByTagNameNS(String namespaceURI,
                                           String localName)

  DOM: Implements `Element.getElementsByTagNameNS(String,String)`.

### getTextContent

    public String getTextContent()

  DOM: Implements `Node.getTextContent()`.

  Specified by:
    `getTextContent` in interface `Node`
  Overrides:
    `getTextContent` in class `AbstractNode`

### fireDOMNodeInsertedIntoDocumentEvent

    public void fireDOMNodeInsertedIntoDocumentEvent()

  Recursively fires a DOMNodeInsertedIntoDocument event.

  Overrides:
    `fireDOMNodeInsertedIntoDocumentEvent` in class `AbstractNode`

### fireDOMNodeRemovedFromDocumentEvent

    public void fireDOMNodeRemovedFromDocumentEvent()

  Recursively fires a DOMNodeRemovedFromDocument event.

  Overrides:
    `fireDOMNodeRemovedFromDocumentEvent` in class `AbstractNode`

### nodeAdded

    protected void nodeAdded(Node n)

  Called when a child node has been added.

### nodeToBeRemoved

    protected void nodeToBeRemoved(Node n)

  Called when a child node is going to be removed.

### deepExport

    protected Node deepExport(Node n,
                              AbstractDocument d)

  Deeply exports this node to the given document.

  Overrides:
    `deepExport` in class `AbstractNode`

### deepCopyInto

    protected Node deepCopyInto(Node n)

  Deeply copy the fields of the current node into the given node.

  Overrides:
    `deepCopyInto` in class `AbstractNode`
  Parameters:
    `n` - a node of the type of this.

### fireDOMSubtreeModifiedEvent

    protected void fireDOMSubtreeModifiedEvent()

  Fires a DOMSubtreeModified event.

### fireDOMNodeInsertedEvent

    protected void fireDOMNodeInsertedEvent(Node node)

  Fires a DOMNodeInserted event.

### fireDOMNodeRemovedEvent

    protected void fireDOMNodeRemovedEvent(Node node)

  Fires a DOMNodeRemoved event.

### checkAndRemove

    protected void checkAndRemove(Node n,
                                  boolean replace)

  Checks the validity of a node to be inserted, and removes it from the document if needed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.